dojo.provide("parus.templateGridPaneSaveLogConfirmation");

dojo.require("dijit.Dialog");
dojo.require("dijit.form.Button");

dojo.require("parus.parus8");
dojo.require("parus.dialog");

dojo.declare("parus.templateGridPaneSaveLogConfirmation", [parus.messageDialog], {

  canIgnoreWarnings: true,

  _additionalHeight: 38,

  postCreate: function() {
    this.inherited(arguments);
    //    if (!this.canIgnoreWarnings) this.ignoreWarningsDiv.style.display = "none";
    if (!this.canIgnoreWarnings) this.ignoreWarningsButton.attr("disabled", true);
  },

  ignoreWarnings: function() {
    //placeholder. do nothing
  },

  continueEditing: function() {
    //placeholder. do nothing
  },

  doIgnoreWarnings: function() {
    this.ignoreWarnings();
    this.close();
  },

  doContinueEditing: function() {
    this.continueEditing();
    this.close();
  }

});